#include <Adafruit_GFX.h>
#include <Adafruit_SSD1306.h>

#define OLED_RESET 4
Adafruit_SSD1306 display(OLED_RESET);

#if (SSD1306_LCDHEIGHT != 64)
#error("Height incorrect, please fix Adafruit_SSD1306.h!");
#endif

#define V_T1 A6
#define V_T2 A7
#define RELE 13


void setup() {
  Serial.begin(115200);

  pinMode(RELE, OUTPUT);

  display.begin(SSD1306_SWITCHCAPVCC, 0x3C);  // initialize with the I2C addr 0x3D (for the 128x64)
  display.clearDisplay();

}

void loop() {
  static bool bEstat = true, bEstatPrevi = true;
  long lAra = millis();
  static long lT = lAra;
  String sz;

  int nT1 = analogRead(V_T1);
  int nT2 = analogRead(V_T2);

  float fT1 = nT1 * (10.0 / 1024.0);
  float fT2 = nT2 * (30.0 / 1024.0);

  display.clearDisplay();
  display.setTextSize(3);
  display.setCursor(30, 5);
  display.println("NOV");
  display.setTextSize(1);
  display.setTextColor(WHITE);
  /*
    display.setCursor(0, 0);
    sz = "Vp = " + String(fVP) + " V";
    display.println(sz);
    display.setCursor(0, 10);
    sz = "Ip = " + String(fIP) + " A";
    display.println(sz);
    display.setCursor(0, 20);
    sz = "Pp = " + String(fPP) + " W";
    display.println(sz);
  */
  display.setCursor(0, 35);
  sz = "t1: " + String(fT1) + " s";
  display.println(sz);
  display.setCursor(0, 45);
  sz = "t2: " + String(fT2) + " s";
  display.println(sz);

  display.display();

  if (bEstat) {
    digitalWrite(RELE, HIGH);
    if (lAra >= lT + 1000 * fT1)
      bEstat = false;
  } else {
    digitalWrite(RELE, LOW);
    if (lAra >= lT + 1000 * fT2)
      bEstat = true;
  }
  if (bEstatPrevi != bEstat) {
    lT = lAra;
    bEstatPrevi = bEstat;
  }
}
