#include <Adafruit_GFX.h>
#include <Adafruit_SSD1306.h>

#define OLED_RESET 4
Adafruit_SSD1306 display(OLED_RESET);

#if (SSD1306_LCDHEIGHT != 64)
#error("Height incorrect, please fix Adafruit_SSD1306.h!");
#endif

#define VP_PIN A2
#define IP_PIN A3
#define VL_PIN A6
#define IL_PIN A7


void setup() {
  Serial.begin(9600);

  display.begin(SSD1306_SWITCHCAPVCC, 0x3C);  // initialize with the I2C addr 0x3D (for the 128x64)
  display.clearDisplay();

}

void loop() {
  String sz;

  //int nVP = analogRead(VP_PIN);
  //int nIP = analogRead(IP_PIN);
  int nVL = analogRead(VL_PIN);
  int nIL = analogRead(IL_PIN);

  //float fVP = nVP * (5.0 / 1024.0) * 5.0;
  //float fIP = nIP * (5.0 / 1024.0);
  //float fPP = fVP * fIP;
  float fVL = nVL * (5.0 / 1024.0) * 5.0;
  float fIL = nIL * (5.0 / 1024.0);
  float fPL = fVL * fIL;

  display.clearDisplay();
  display.setTextSize(1);
  display.setTextColor(WHITE);
  /*
    display.setCursor(0, 0);
    sz = "Vp = " + String(fVP) + " V";
    display.println(sz);
    display.setCursor(0, 10);
    sz = "Ip = " + String(fIP) + " A";
    display.println(sz);
    display.setCursor(0, 20);
    sz = "Pp = " + String(fPP) + " W";
    display.println(sz);
  */
  display.setCursor(0, 35);
  sz = "VL = " + String(fVL) + " V";
  display.println(sz);
  display.setCursor(0, 45);
  sz = "IL = " + String(fIL) + " A";
  display.println(sz);
  display.setCursor(0, 55);
  sz = "PL = " + String(fPL) + " W";
  display.println(sz);

  display.display();

}
